Retro Rocket Kernel BASIC-Powered Operating System

Data Fields
__attribute__ Struct Reference

`#include <iso9660.h>`

Collaboration diagram for __attribute__:
[legend]

## Data Fields
char | year [4]
char | month [2]
char | day [2]
char | hour [2]
char | minute [2]
char | second [2]
char | millisecond [2]
char | tz_offset
uint8_t | years_since_1900
uint8_t | month
uint8_t | day
uint8_t | hour
uint8_t | minute
uint8_t | second
uint8_t | length
uint8_t | attribute_length
uint32_t | extent_lba_lsb
uint32_t | extent_lba_msb
uint32_t | data_length_lsb
uint32_t | data_length_msb
DIRECTORY_date | recording_date
uint8_t | file_flags
uint16_t | interleave_unit_size
uint16_t | sequence_number_lsb
uint16_t | sequence_number_msb
uint8_t | filename_length
char | filename [12]
uint8_t | typecode
char | standardidentifier [5]
uint8_t | version
uint8_t | unused
char | systemidentifier [32]
char | volumeidentifier [32]
char | unused2 [8]
uint32_t | lsb_volumespacesize
uint32_t | msb_volumespacesize
char | escape_seq [8]
char | unused3 [32-8]
uint16_t | lsb_volumesetsize
uint16_t | msb_volumesetsize
uint16_t | lsb_volumeseqno
uint16_t | msb_volumeseqno
uint16_t | lsb_blocksize
uint16_t | msb_blocksize
uint32_t | lsb_pathtablesize
uint32_t | msb_pathtablesize
uint32_t | lsb_pathtable_L_lba
uint32_t | lsb_optpathtable_L_lba
uint32_t | lsb_pathtable_M_lba
uint32_t | lsb_optpathtable_M_lba
ISO9660_directory | root_directory
char | volume_set_id [128]
char | publisher_id [128]
char | data_preparer [128]
char | application_id [128]
char | copyright_file [38]
char | abstract_file [36]
char | bibliographic_file [37]
PVD_date | volume_creation_date
PVD_date | volume_modification_date
PVD_date | volume_expire_date
PVD_date | volume_effective_date
uint8_t | file_structure_version
char | unused4
uint8_t | application_use [512]
uint8_t | reserved [653]

## Field Documentation

## ◆ abstract_file

char __attribute__::abstract_file[36]

## ◆ application_id

char __attribute__::application_id[128]

## ◆ application_use

uint8_t __attribute__::application_use[512]

## ◆ attribute_length

uint8_t __attribute__::attribute_length

## ◆ bibliographic_file

char __attribute__::bibliographic_file[37]

## ◆ copyright_file

char __attribute__::copyright_file[38]

## ◆ data_length_lsb

uint32_t __attribute__::data_length_lsb

## ◆ data_length_msb

uint32_t __attribute__::data_length_msb

## ◆ data_preparer

char __attribute__::data_preparer[128]

## ◆ day [1/2]

char __attribute__::day[2]

## ◆ day [2/2]

uint8_t __attribute__::day

## ◆ escape_seq

char __attribute__::escape_seq[8]

## ◆ extent_lba_lsb

uint32_t __attribute__::extent_lba_lsb

## ◆ extent_lba_msb

uint32_t __attribute__::extent_lba_msb

## ◆ file_flags

uint8_t __attribute__::file_flags

## ◆ file_structure_version

uint8_t __attribute__::file_structure_version

## ◆ filename

char __attribute__::filename[12]

## ◆ filename_length

uint8_t __attribute__::filename_length

## ◆ hour [1/2]

char __attribute__::hour[2]

## ◆ hour [2/2]

uint8_t __attribute__::hour

## ◆ interleave_unit_size

uint16_t __attribute__::interleave_unit_size

## ◆ length

uint8_t __attribute__::length

## ◆ lsb_blocksize

uint16_t __attribute__::lsb_blocksize

## ◆ lsb_optpathtable_L_lba

uint32_t __attribute__::lsb_optpathtable_L_lba

## ◆ lsb_optpathtable_M_lba

uint32_t __attribute__::lsb_optpathtable_M_lba

## ◆ lsb_pathtable_L_lba

uint32_t __attribute__::lsb_pathtable_L_lba

## ◆ lsb_pathtable_M_lba

uint32_t __attribute__::lsb_pathtable_M_lba

## ◆ lsb_pathtablesize

uint32_t __attribute__::lsb_pathtablesize

## ◆ lsb_volumeseqno

uint16_t __attribute__::lsb_volumeseqno

## ◆ lsb_volumesetsize

uint16_t __attribute__::lsb_volumesetsize

## ◆ lsb_volumespacesize

uint32_t __attribute__::lsb_volumespacesize

## ◆ millisecond

char __attribute__::millisecond[2]

## ◆ minute [1/2]

char __attribute__::minute[2]

## ◆ minute [2/2]

uint8_t __attribute__::minute

## ◆ month [1/2]

char __attribute__::month[2]

## ◆ month [2/2]

uint8_t __attribute__::month

## ◆ msb_blocksize

uint16_t __attribute__::msb_blocksize

## ◆ msb_pathtablesize

uint32_t __attribute__::msb_pathtablesize

## ◆ msb_volumeseqno

uint16_t __attribute__::msb_volumeseqno

## ◆ msb_volumesetsize

uint16_t __attribute__::msb_volumesetsize

## ◆ msb_volumespacesize

uint32_t __attribute__::msb_volumespacesize

## ◆ publisher_id

char __attribute__::publisher_id[128]

## ◆ recording_date

DIRECTORY_date __attribute__::recording_date

## ◆ reserved

uint8_t __attribute__::reserved[653]

## ◆ root_directory

ISO9660_directory __attribute__::root_directory

## ◆ second [1/2]

char __attribute__::second[2]

## ◆ second [2/2]

uint8_t __attribute__::second

## ◆ sequence_number_lsb

uint16_t __attribute__::sequence_number_lsb

## ◆ sequence_number_msb

uint16_t __attribute__::sequence_number_msb

## ◆ standardidentifier

char __attribute__::standardidentifier[5]

## ◆ systemidentifier

char __attribute__::systemidentifier[32]

## ◆ typecode

uint8_t __attribute__::typecode

## ◆ tz_offset

char __attribute__::tz_offset

## ◆ unused

uint8_t __attribute__::unused

## ◆ unused2

char __attribute__::unused2[8]

## ◆ unused3

char __attribute__::unused3[32-8]

## ◆ unused4

char __attribute__::unused4

## ◆ version

uint8_t __attribute__::version

## ◆ volume_creation_date

PVD_date __attribute__::volume_creation_date

## ◆ volume_effective_date

PVD_date __attribute__::volume_effective_date

## ◆ volume_expire_date

PVD_date __attribute__::volume_expire_date

## ◆ volume_modification_date

PVD_date __attribute__::volume_modification_date

## ◆ volume_set_id

char __attribute__::volume_set_id[128]

## ◆ volumeidentifier

char __attribute__::volumeidentifier[32]

## ◆ year

char __attribute__::year[4]

## ◆ years_since_1900

uint8_t __attribute__::years_since_1900